"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Client_1 = require("./Client");
const Mutex_1 = require("./util/Mutex");
class Lock {
    constructor(metadata) {
        this.client = new Client_1.Client();
        this.statusMutex = new Mutex_1.Mutex();
        this.syncMutex = new Mutex_1.Mutex();
        this.id = metadata.device_id;
        this.name = metadata.nickname;
        this.serial = metadata.serial;
    }
    getStatus() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                this.status = yield this.statusMutex.wait(() => this.client.getStatus(this.id));
                return this.status;
            }
            catch (e) {
                throw e;
            }
        });
    }
    syncStatus() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.syncMutex.wait(() => this.client.sync(this.id));
        });
    }
    setLockedState(locked) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.client.control(this.id, locked);
        });
    }
}
exports.Lock = Lock;
//# sourceMappingURL=Lock.js.map