"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const request = require("request-promise");
const store = require("store");
const Config_1 = require("./Config");
const Logger_1 = require("./Logger");
class APIAuthenticator {
    // email: string;
    // password: string;
    // token: string;
    authenticate(email, password) {
        return __awaiter(this, void 0, void 0, function* () {
            // this.email = email;
            // this.password = password;
            let payload = {
                uri: `${Config_1.Config.API_URI}/accounts/login`,
                headers: {
                    'Content-Type': 'application/json'
                },
                method: 'POST',
                json: true,
                body: {
                    'email': email,
                    'password': password
                }
            };
            let response = yield request(payload);
            let authResponse = response;
            Logger_1.Logger.debug('Got response:', authResponse);
            store.set('token', authResponse.authorization);
            return authResponse.authorization;
        });
    }
    getLocks() {
        return __awaiter(this, void 0, void 0, function* () {
            let token = store.get('token');
            let payload = {
                uri: `${Config_1.Config.API_URI}/sesames`,
                method: 'GET',
                json: true,
                headers: {
                    'Content-Type': 'application/json',
                    'X-Authorization': token
                }
            };
            let response = yield request(payload);
            let locks = response.sesames;
            Logger_1.Logger.debug('Got response:', locks);
            return locks;
        });
    }
}
exports.APIAuthenticator = APIAuthenticator;
exports.Authenticator = new APIAuthenticator();
//# sourceMappingURL=APIAuthenticator.js.map