"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const HAP_1 = require("./HAP");
const Logger_1 = require("./Logger");
class LockService {
    constructor(lock) {
        let lockMechanismService = new HAP_1.HAP.Service.LockMechanism(lock.name);
        lockMechanismService
            .getCharacteristic(HAP_1.HAP.Characteristic.LockCurrentState)
            .on('get', (callback) => {
            Logger_1.Logger.log('get current state');
            callback(null, 1);
        });
        lockMechanismService
            .getCharacteristic(HAP_1.HAP.Characteristic.LockTargetState)
            .on('get', (callback) => {
            Logger_1.Logger.log('get target state');
            callback(null, 1);
        })
            .on('set', (callback) => {
            Logger_1.Logger.log('set current state');
            callback(null);
        });
        this.lockMechanismService = lockMechanismService;
    }
}
exports.LockService = LockService;
//# sourceMappingURL=LockService.js.map