"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SesameLogger {
    initLogger(log, debugMode) {
        this.log = log;
        this.debugMode = debugMode;
    }
    info(message) {
        this.log(message);
    }
    debug(message, data) {
        if (!this.debugMode)
            return;
        let result = message;
        if (data) {
            result += `: ${JSON.stringify(data)}`;
        }
        this.log(result);
    }
    error(message, error) {
        this.log.error(`${message}. ${error.message}`);
    }
}
exports.Logger = new SesameLogger();
//# sourceMappingURL=Logger.js.map