"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SesameLogger {
    setLogger(log, debugMode) {
        this.log = log;
        this.debugMode = debugMode;
    }
    debug(message, data) {
        if (!this.debugMode)
            return;
        let result = message;
        if (data) {
            result += `: ${JSON.stringify(data)}`;
        }
        this.log(result);
    }
    error(message, error) {
        this.log(`[ERROR] ${message}. ${error}`);
    }
}
exports.Logger = new SesameLogger();
//# sourceMappingURL=Logger.js.map